Page MenuHomePhabricator

Global permission, license, copyright tag
Closed, ResolvedPublic

Description

at the moment, GWToolset allows for permissions to be added to an item via a 1 to 1 mapping between the metadata and the permission parameter within a MediaWiki template. GWToolset attempts, via a regular expression, to determine the corresponding MediaWiki copyright template based on the value in the metadata, however, sometimes the metadata does not contain a recognised value or there is no matching copyright template in the wiki.

this bug enhancement requests that an open text field be provided, so that a user can manually enter a corresponding MediaWiki copyright template or place a free text entry in the field that will be applied globally to all items in the metadata set.


Version: unspecified
Severity: enhancement

Details

Reference
bz65248

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:23 AM
bzimport set Reference to bz65248.
dan-nl created this task.May 13 2014, 8:36 AM

Change 133293 had a related patch set uploaded by Dan-nl:
Global permission, license, copyright tag

https://gerrit.wikimedia.org/r/133293

Change 133293 abandoned by Dan-nl:
Global permission, license, copyright tag

Reason:
having a problem merging https://gerrit.wikimedia.org/r/#/c/133041/ and
https://gerrit.wikimedia.org/r/#/c/133293/. the two are related so will put them into one patch instead.

https://gerrit.wikimedia.org/r/133293

Created attachment 15399
test metadata set

Attached:

Created attachment 15400
test metadata mapping

Attached:

the patch has been deployed to production. are you okay with closing this bug now?

Gilles triaged this task as Unbreak Now! priority.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Needs Triage.Dec 4 2014, 11:21 AM